\documentclass{minimal}%<1 vim: set ts=3 sts=3 sw=3 tw=100 fdm=marker foldmarker=%<,%> spell:
% \RequirePackage[T1]{fontenc}\RequirePackage[utf8]{inputenc}

%<1 Commandes perso
\makeatletter
\newcommand{\@MyCommand}[1]{%
	%https://weblog.elzevir.fr/2008/07/tester-si-une-commande-est-definie-en-latex/
	\expandafter\ifx\csname#1\endcsname\undefined
			\def\MY{non def 1}
			\expandafter\def\csname#1\endcsname{Non def 1}
	\else
		\expandafter\ifx\csname#1\endcsname\relax
			\def\MY{non def 2}
			\expandafter\def\csname#1\endcsname{Non def 2}
		\else
			\def\MY{def}
			\expandafter\def\csname#1\endcsname{Def}
		\fi
	\fi
}

\@MyCommand{un}
\makeatother

\begin{document}%<1

Test, résultats de:\par
\begin{tabular}{rlr}
   la commande crée: >        & \un & <\\
   la commande de position: > & \MY & <\\
\end{tabular}

\end{document}%<1
